set echo on

MERGE
   INTO  tgt
   USING src
   ON   (src.object_id = tgt.object_id)
WHEN MATCHED
THEN
   UPDATE
   SET tgt.object_name = LOWER(src.object_name)
WHEN NOT MATCHED
THEN
   INSERT (tgt.object_id, tgt.object_name)
   VALUES (src.object_id, src.object_name);

SELECT COUNT(*)
FROM   tgt
WHERE  REGEXP_LIKE(object_name,'[a-z]');
